<?php

namespace App\Models\User;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UnitBisnis extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'unitbisnis';
    protected $keyType = 'string';

    protected $fillable = [
        'id', 'nama_unit', 'nosk', 'lingkup_kegiatan', 'mitra', 'pendapatan_tahun', 'pendapatan', 'pendapatan_tahun2', 'pendapatan2', 'userid_created', 'userid_updated', 'created_at', 'updated_at',
    ];
}
