<?php

namespace App\Models\User;

use App\Traits\UuidTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PenyelenggaraSeminar extends Model
{
    use HasFactory;
    use UuidTrait;

    public $incrementing = false;
    protected $table = 'penyelenggaraan_seminar';
    protected $keyType = 'string';

    protected $fillable = [
        'id', 'nama_seminar', 'unit_pelaksana', 'mitra', 'skala', 'waktu_pelaksanaan_awal', 'waktu_pelaksanaan_akhir', 'tempat', 'url', 'userid_created', 'userid_updated', 'created_at', 'updated_at',
    ];
}
