@extends('layouts.master')

@section('title')
    User Profil
@endsection

@section('header')
<div class="page-title">
    <h3>User Profil</h3>
</div>
@endsection

@section('contents')
@php
 $menu = 'dashboard';
@endphp
<div class="row layout-top-spacing">
    <div class="col-xl-4 col-lg-6 col-md-5 col-sm-12 layout-top-spacing">

        <div class="user-profile layout-spacing">
            <div class="widget-content widget-content-area">
                <div class="d-flex justify-content-between">
                    <h3 class="">Info</h3>
                    <a href="" class="mt-2 edit-profile"> <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-3"><path d="M12 20h9"></path><path d="M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"></path></svg></a>
                </div>
                <div class="text-center user-info">
                    <img src="assets/img/90x90.jpg" alt="avatar">
                    <p class="">{{ Auth::user()->name }}</p>
                </div>
                <div class="user-info-list">

                    <div class="">
                        <ul class="contacts-block list-unstyled">
                            <li class="contacts-block__item">
                                <i data-feather="coffee"></i>  Web Developer
                            </li>
                            <li class="contacts-block__item">
                                <i data-feather="calendar"></i> Jan 20, 1989
                            </li>
                            <li class="contacts-block__item">
                                <i data-feather="map-pin"></i> New York, USA
                            </li>
                            <li class="contacts-block__item">
                                <a href="mailto:'{{ Auth::user()->email }}'"> <i data-feather="mail"></i> {{ Auth::user()->email }}</a>
                            </li>
                            <li class="contacts-block__item">
                                <i data-feather="phone"></i> +1 (530) 555-12121
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <div class="col-xl-8 col-lg-6 col-md-7 col-sm-12 layout-top-spacing">
        <div class="skills layout-spacing ">
            <div class="widget-content widget-content-area">
                <h3 class="">Skills</h3>
                <div class="progress br-30">
                    <div class="progress-bar bg-primary" role="progressbar" style="width: 25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"><div class="progress-title"><span>PHP</span> <span>25%</span> </div></div>
                </div>
                <div class="progress br-30">
                    <div class="progress-bar bg-primary" role="progressbar" style="width: 50%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"><div class="progress-title"><span>Wordpress</span> <span>50%</span> </div></div>
                </div>
                <div class="progress br-30">
                    <div class="progress-bar bg-primary" role="progressbar" style="width: 70%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"><div class="progress-title"><span>Javascript</span> <span>70%</span> </div></div>
                </div>
                <div class="progress br-30">
                    <div class="progress-bar bg-primary" role="progressbar" style="width: 60%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"><div class="progress-title"><span>jQuery</span> <span>60%</span> </div></div>
                </div>

            </div>
        </div>
    </div>

</div>

@endsection

@section('js')
    <script src="{{ url('theme/plugins/highlight/highlight.pack.js') }}"></script>
    <script src="{{ url('theme/assets/js/scrollspyNav.js') }}"></script>
@endsection
