@extends('layouts.master')

@section('title')
    Unit Bisnis Hasil Riset
@endsection

@section('header')
<div class="page-title">
    <h3>Unit Bisnis Hasil Riset</h3>
</div>
@endsection

@section('contents')
@php
 $menu = 'dashboard';
@endphp
    <div class="account-settings-container layout-top-spacing">
        {{ Form::open(['url' => route('unitbisnis.store'), 'method' => 'post', 'class' => 'section general-info', 'id' => 'unitbisnis']) }}
        <div class="account-content">
            <div class="scrollspy-example" data-spy="scroll" data-target="#account-settings-scroll" data-offset="-100">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 layout-spacing">
                        <div class="info">
                            <h5 class="">Data Unit Bisnis Hasil Riset</h5>
                            <div class="row">
                                <div class="col-md-11 mx-auto">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Nama Unit Bisnis</label>
                                                <input type="text" class="form-control mb-4" id="nama_unit" name="nama_unit" placeholder="Nama Unit Bisnis">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>No. SK Pendirian</label>
                                                <input type="text" class="form-control mb-4" id="nosk" name="nosk" placeholder="No. SK Pendirian">
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>Lingkup Kegiatan</label>
                                                <textarea class="form-control" id="lingkup_kegiatan" name="lingkup_kegiatan" placeholder="Lingkup Kegiatan" rows="3"></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label>Mitra Bisnis</label>
                                                <input type="text" class="form-control mb-4" id="mitra" name="mitra" placeholder="Mitra Bisnis">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                        </div>
                                        <div class="col-md-8">
                                            <label>Pendapatan</label>
                                                <div class="row">
                                                <div class="col-xl-6">
                                                    <div class="form-group">
                                                        <label> {{date('Y')-2}} </label>
                                                        <input type="hidden" class="form-control mb-4" id="pendapatan_tahun" name="pendapatan_tahun" value="{{date('Y')-2}}">
                                                        <input type="text" class="form-control mb-4" id="pendapatan" name="pendapatan" placeholder="{{date('Y')-2}}">
                                                    </div>
                                                </div>
                                                <div class="col-xl-6">
                                                    <div class="form-group">
                                                        <label> {{date('Y')-1}} </label>
                                                        <input type="hidden" class="form-control mb-4" id="pendapatan_tahun2" name="pendapatan_tahun2" value="{{date('Y')-1}}">
                                                        <input type="text" class="form-control mb-4" id="pendapatan2" name="pendapatan2" placeholder="{{date('Y')-1}}">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="account-settings-footer">
            <div class="as-footer-container">
                <button id="multiple-reset" class="btn btn-warning">Batal</button>
                <button type="submit" id="multiple-messages" class="btn btn-primary">Save Changes</button>
            </div>
        </div>
         {{ Form::close() }}
    </div>

@endsection

@section('js')
@endsection
